GridFire v0.7.6rc4.0 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
gridfire::solver::SingleZoneNetworkSolver< EngineT > Class Template Referenceabstract

Abstract base class for network solver strategies. More...

`#include <strategy_abstract.h>`

Collaboration diagram for gridfire::solver::SingleZoneNetworkSolver< EngineT >:
[legend]

## Public Member Functions
| SingleZoneNetworkSolver (const EngineT &engine)
| Constructor for the NetworkSolverStrategy.
virtual | ~SingleZoneNetworkSolver ()=default
| Virtual destructor.
virtual NetOut | evaluate (SolverContextBase &solver_ctx, const NetIn &netIn) const =0
| Evaluates the network for a given timestep.

## Protected Attributes
const EngineT & | m_engine
| The engine used by this solver strategy.

## Detailed Description

template<IsEngine EngineT>
class gridfire::solver::SingleZoneNetworkSolver< EngineT >

Abstract base class for network solver strategies.

This class defines the interface for network solver strategies, which are responsible for integrating the reaction network ODEs over a given timestep. It is templated on the engine type to allow for different engine implementations to be used with the same solver.

Template Parameters

  EngineT | The type of engine to use with this solver strategy. Must inherit from Engine.

## Constructor & Destructor Documentation

## ◆ SingleZoneNetworkSolver()

template<IsEngine EngineT>

gridfire::solver::SingleZoneNetworkSolver< EngineT >::SingleZoneNetworkSolver | ( | const EngineT & | engine | ) |
| inline explicit

Constructor for the NetworkSolverStrategy.

Parameters

  engine | The engine to use for evaluating the network.

## ◆ ~SingleZoneNetworkSolver()

template<IsEngine EngineT>

virtual gridfire::solver::SingleZoneNetworkSolver< EngineT >::~SingleZoneNetworkSolver | ( |  | ) |
| virtual default

Virtual destructor.

## Member Function Documentation

## ◆ evaluate()

template<IsEngine EngineT>

virtual NetOut gridfire::solver::SingleZoneNetworkSolver< EngineT >::evaluate | ( | SolverContextBase & | solver_ctx,
|  | const NetIn & | netIn ) const
| pure virtual

Evaluates the network for a given timestep.

Parameters

  solver_ctx |
  engine_ctx |
  netIn | The input conditions for the network.

Returns
  The output conditions after the timestep.

Implemented in gridfire::solver::PointSolver, and PySingleZoneDynamicNetworkSolver.

## Member Data Documentation

## ◆ m_engine

template<IsEngine EngineT>

const EngineT& gridfire::solver::SingleZoneNetworkSolver< EngineT >::m_engine
| protected

The engine used by this solver strategy.

The documentation for this class was generated from the following file:

- src/include/gridfire/solver/strategies/strategy_abstract.h